# MaterialDesignInXamlToolkit

# ![Alt text](web/images/MD4XAML64.png "Material Design In XAML Toolkit") Material Design In XAML Toolkit

Comprehensive and easy to use Material Design theme and control library for the Windows desktop.

![Alt text](web/images/screen-home.png "Material Design Demo")

###### [More screenshots below](#Screenshots)

# ![Alt text](web/images/MD4XAML28.png "Summary") Summary

 * Material Design styles for all major WPF Framework controls
 * Additional controls to support the theme, including Multi Action Button, Cards, Dialogs, Clock
 * Easy configuration of palette (at design _and_ runtime), according to [Google's guidelines](https://material.io/design/)
 * Full [Material Design Icons](https://materialdesignicons.com/) icon pack
 * Easy transition effects
 * Compatible with [Dragablz](https://github.com/ButchersBoy/Dragablz), [MahApps](https://github.com/MahApps/MahApps.Metro)
 * Demo applications included in the source project

[![Backers on Open Collective](https://opencollective.com/materialdesigninxaml/backers/badge.svg)](#backers) [![Sponsors on Open Collective](https://opencollective.com/materialdesigninxaml/sponsors/badge.svg)](#sponsors) [![Gitter](https://img.shields.io/badge/Gitter-Join%20Chat,%20Get%20Help,%20Say%20Hello!-green.svg?style=flat-square)](https://gitter.im/ButchersBoy/MaterialDesignInXamlToolkit)
[![Build](https://img.shields.io/appveyor/ci/ButchersBoy/MaterialDesignInXamlToolkit/master.svg?style=flat-square)](https://ci.appveyor.com/project/ButchersBoy/materialdesigninxamltoolkit)
[![NuGet-Themes](https://img.shields.io/nuget/v/MaterialDesignThemes.svg?label=NuGet:%20Themes&style=flat-square)](https://www.nuget.org/packages/MaterialDesignThemes/)
[![NuGet-Themes](https://img.shields.io/nuget/vpre/MaterialDesignThemes.svg?label=NuGet:%20Themes%20(CI)&style=flat-square)](https://www.nuget.org/packages/MaterialDesignThemes/)
[![NuGet-Themes](https://img.shields.io/nuget/vpre/MaterialDesignColors.svg?label=NuGet:%20Colours&style=flat-square)](https://www.nuget.org/packages/MaterialDesignColors/)
[![Issues](https://img.shields.io/github/issues/MaterialDesignInXAML/MaterialDesignInXamlToolkit.svg?style=flat-square)](https://github.com/MaterialDesignInXAML/MaterialDesignInXamlToolkit/issues)
[![Twitter](https://img.shields.io/badge/twitter-%40james__willock-55acee.svg?style=flat-square)](https://twitter.com/James_Willock)
 
# ![Alt text](web/images/MD4XAML28.png "How Can I Use The Themes?") Getting Started

* Checkout the [Super Quick Start](https://github.com/MaterialDesignInXAML/MaterialDesignInXamlToolkit/wiki/Super-Quick-Start)
* Or, the more comprehensive [Starting Guide](https://github.com/MaterialDesignInXAML/MaterialDesignInXamlToolkit/wiki/Getting-Started) guide.
* Or, watch the [Material Design In XAML Toolkit An Introduction](https://www.youtube.com/watch?v=-n5yeEOsbCk) video.
* Take 5 minutes to download the source from right here and run up the two demo projects in the solution.

# ![Alt text](web/images/MD4XAML28.png "In Action") See It Action

* Download the source and run the demo (compiling source requires VS2017+).
* Download a pre-compiled demo from the [releases](https://github.com/ButchersBoy/MaterialDesignInXamlToolkit/releases) page.
* Checkout [doobry](http://materialdesigninxaml.net/doobry).
* Checkout [F1ix](http://materialdesigninxaml.net/f1ix).
* Checkout [Motion List](https://github.com/MaterialDesignInXAML/MotionList).

# ![Alt text](web/images/MD4XAML28.png "How Can I Use The Themes?") Source Code
To load the source project you will need Visual Studio 2017.  Don't worry if you have an earlier version, you can still use the compiled assemblies from NuGet (``` Install-Package MaterialDesignThemes ```). There are two demo projects in the solution, restore the necessary NuGet packages and correct the programming syntax that is not compatible with C# versions lower than C# 7.0 (```currently used in Visual Studio 2017```). Then, you should be able to fire both of these projects up.  One is a "pure" Material Design project, the other illustrates how to combine with Dragablz & MahApps.

# ![Alt text](web/images/MD4XAML28.png "Contributions") Contribution Guidelines

* Before contributing code read the [Contribution Guidelines](.github/CONTRIBUTING.md)
  * GitHub issues are for bugs.
  * For queries, help, and general chat stop by the [Gitter chat room](https://gitter.im/ButchersBoy/MaterialDesignInXamlToolkit).
  * Stack Overflow tag: [material-design-in-xaml](http://stackoverflow.com/questions/tagged/material-design-in-xaml)
* Want to say thanks?
  *  Hit the :star: Star :star: button
  *  If you'd like to make a very much appreciated financial donation please visit <a href='https://opencollective.com/materialdesigninxaml'>open collective</a>

# ![Alt text](web/images/MD4XAML28.png "Mentions") Mentions

* Logo courtesy of GitHub user [Snalty](https://github.com/snalty), and you can see more of him;
 * on his [blog](http://holothere.tumblr.com/)
 * and on [Twitter](https://twitter.com/snalty)
* Marc Angers - I pulled some of his shadows straight in from this [blog post](http://marcangers.com/material-design-shadows-in-wpf/)
* Icon pack sourced from [Material Design Icons](https://materialdesignicons.com/)
* Utilises [ControlzEx](https://github.com/ControlzEx/ControlzEx)
* Ignace Maes, whose [Material Skin](https://github.com/IgnaceMaes/MaterialSkin) project inspired the original material design theme for [Dragablz](https://github.com/ButchersBoy/Dragablz), which in turn led to me starting this project
* [Material Design Extensions](https://github.com/spiegelp/MaterialDesignExtensions) is a community repository based on this library that provides additional controls and features.
* **[Contributors!](https://github.com/ButchersBoy/MaterialDesignInXamlToolkit/graphs/contributors)**  Thanks for the PRs which have helped add some extra polish.  


